***
*** Here are the C stubs for the DeliTracker interface functions
***

		INCLUDE "DeliPlayer.i"


		XREF	_DeliBase


		SECTION Stubs,CODE


		xdef	_dt_GetListDataAddr

_dt_GetListDataAddr	; dtg_GetListData had to be split up as you can't return two parameters
		bsr.s	_dt_GetListDataSize
		move.l	a0,d0
		rts

		xdef	_dt_GetListDataSize

_dt_GetListDataSize
		movem.l	a5-a6,-(a7)
		move.l	_DeliBase,a5
		move.l	dtg_GetListData(a5),a0
		jsr	(a0)
		movem.l	(a7)+,a5-a6
		rts

		xdef	_dt_LoadFile

_dt_LoadFile
		movem.l	a5-a6,-(a7)
		move.l	_DeliBase,a5
		move.l	dtg_LoadFile(a5),a0
		jsr	(a0)
		movem.l	(a7)+,a5-a6
		rts

		xdef	_dt_CopyDir

_dt_CopyDir
		movem.l	a5-a6,-(a7)
		move.l	_DeliBase,a5
		move.l	dtg_CopyDir(a5),a0
		jsr	(a0)
		movem.l	(a7)+,a5-a6
		rts

		xdef	_dt_CopyFile

_dt_CopyFile
		movem.l	a5-a6,-(a7)
		move.l	_DeliBase,a5
		move.l	dtg_CopyFile(a5),a0
		jsr	(a0)
		movem.l	(a7)+,a5-a6
		rts

		xdef	_dt_CopyString

_dt_CopyString
		movem.l	a5-a6,-(a7)
		move.l	_DeliBase,a5
		move.l	dtg_CopyString(a5),a0
		jsr	(a0)
		movem.l	(a7)+,a5-a6
		rts

		xdef	_dt_AudioAlloc

_dt_AudioAlloc
		movem.l	a5-a6,-(a7)
		move.l	_DeliBase,a5
		move.l	dtg_AudioAlloc(a5),a0
		jsr	(a0)
		movem.l	(a7)+,a5-a6
		rts

		xdef	_dt_AudioFree

_dt_AudioFree
		movem.l	a5-a6,-(a7)
		move.l	_DeliBase,a5
		move.l	dtg_AudioFree(a5),a0
		jsr	(a0)
		movem.l	(a7)+,a5-a6
		rts

		xdef	_dt_StartInt

_dt_StartInt
		movem.l	a5-a6,-(a7)
		move.l	_DeliBase,a5
		move.l	dtg_StartInt(a5),a0
		jsr	(a0)
		movem.l	(a7)+,a5-a6
		rts

		xdef	_dt_StopInt

_dt_StopInt
		movem.l	a5-a6,-(a7)
		move.l	_DeliBase,a5
		move.l	dtg_StopInt(a5),a0
		jsr	(a0)
		movem.l	(a7)+,a5-a6
		rts

		xdef	_dt_SongEnd

_dt_SongEnd
		move.l	a5,-(a7)
		move.l	_DeliBase,a5
		move.l	dtg_SongEnd(a5),a0
		jsr	(a0)
		move.l	(a7)+,a5
		rts

		xdef	_dt_CutSuffix

_dt_CutSuffix
		movem.l	a5-a6,-(a7)
		move.l	_DeliBase,a5
		move.l	dtg_CutSuffix(a5),a0
		jsr	(a0)
		movem.l	(a7)+,a5-a6
		rts

		xdef	_dt_SetTimer

_dt_SetTimer
		move.l	a5,-(a7)
		move.l	_DeliBase,a5
		move.l	dtg_SetTimer(a5),a0
		jsr	(a0)
		move.l	(a7)+,a5
		rts

		xdef	_dt_WaitAudioDMA

_dt_WaitAudioDMA
		move.l	a5,-(a7)
		move.l	_DeliBase,a5
		move.l	dtg_WaitAudioDMA(a5),a0
		jsr	(a0)
		move.l	(a7)+,a5
		rts

		xdef	_dt_LockScreen

_dt_LockScreen
		movem.l	a5-a6,-(a7)
		move.l	_DeliBase,a5
		move.l	dtg_LockScreen(a5),a0
		jsr	(a0)
		movem.l	(a7)+,a5-a6
		rts

		xdef	_dt_UnlockScreen

_dt_UnlockScreen
		movem.l	a5-a6,-(a7)
		move.l	_DeliBase,a5
		move.l	dtg_UnlockScreen(a5),a0
		jsr	(a0)
		movem.l	(a7)+,a5-a6
		rts

		xdef	_dt_NotePlayer

_dt_NotePlayer
		move.l	a5,-(a7)
		move.l	_DeliBase,a5
		move.l	dtg_NotePlayer(a5),a0
		jsr	(a0)
		move.l	(a7)+,a5
		rts

		xdef	_dt_AllocListData

_dt_AllocListData
		movem.l	a5-a6,-(a7)
		move.l	_DeliBase,a5
		move.l	dtg_AllocListData(a5),a0
		jsr	(a0)
		movem.l	(a7)+,a5-a6
		rts

		xdef	_dt_FreeListData

_dt_FreeListData
		movem.l	a5-a6,-(a7)
		move.l	_DeliBase,a5
		move.l	dtg_FreeListData(a5),a0
		jsr	(a0)
		movem.l	(a7)+,a5-a6
		rts


		END
